summaryrefslogtreecommitdiffstats
path: root/multimedia/flash-player-plugin
diff options
context:
space:
mode:
author Robby Workman <rw@rlworkman.net>2010-05-11 19:45:34 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 19:45:34 +0200
commitb6a2b04b85ca6c27100a498c938f2269ebbbb7d0 (patch)
treea7afc2b956e74d065e73849d8c48f8562ed8a1a5 /multimedia/flash-player-plugin
parent9abc5bb0afa8838da94af540c6203d52ce2db487 (diff)
downloadslackbuilds-b6a2b04b85ca6c27100a498c938f2269ebbbb7d0.tar.gz
slackbuilds-b6a2b04b85ca6c27100a498c938f2269ebbbb7d0.tar.xz
multimedia/flash-player-plugin: Updated for version 9.0_r124
Diffstat (limited to 'multimedia/flash-player-plugin')
-rw-r--r--multimedia/flash-player-plugin/flash-player-plugin.SlackBuild41
-rw-r--r--multimedia/flash-player-plugin/flash-player-plugin.info10
-rw-r--r--multimedia/flash-player-plugin/slack-desc12
3 files changed, 40 insertions, 23 deletions
diff --git a/multimedia/flash-player-plugin/flash-player-plugin.SlackBuild b/multimedia/flash-player-plugin/flash-player-plugin.SlackBuild
index e186f738d2..53312808a8 100644
--- a/multimedia/flash-player-plugin/flash-player-plugin.SlackBuild
+++ b/multimedia/flash-player-plugin/flash-player-plugin.SlackBuild
@@ -1,43 +1,52 @@
#!/bin/sh
## Written by hollywoodb (hollywoodb@fastmail.fm)
-
# Modified by the SlackBuilds.org project
+# Script maintained by Robby Workman <rworkman@slackbuilds.org>
-## Verify script is being run by root user.
-if [ "$(id -u)" != "0" ]; then
- echo "This script must be run as root!"
- exit 1
-fi
-
-set -e
-
-PRGNAM=flash-player-plugin
-VERSION=9.0.31.0
-ARCH=${ARCH:-i386}
+PRGNAM=flash-player-plugin
+VERSION=9.0_r124
+ARCH=i386
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-CWD=`pwd`
+
+CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
-tar -xvzf $CWD/install_flash_player_9_linux.tar.gz
+tar xvf $CWD/install_flash_player_9_linux.tar.gz
cd install_flash_player_9_linux
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
+# Check to make sure we're packaging the same version that this script
+# was written to handle:
+_REALVERS=$(strings libflashplayer.so | grep -e "^Shockwave Flash [.\d+]*" | sed -e "s/Shockwave Flash //g")
+if [ ! "$(echo $_REALVERS | tr ' ' _)" = "$(echo $VERSION)" ]; then
+ echo
+ echo "This build script was written for a different version of the"
+ echo "flash plugin than you have downloaded. This is probably due"
+ echo "to Adobe changing the upstream tarball - they don't have"
+ echo "versioned tarballs - and it's almost certainly nothing to be"
+ echo "concerned about. However, if this package doesn't build or"
+ echo "work as expected, contact the SlackBuilds.org project on our"
+ echo "users mailing list."
+ echo
+ sleep 5
+fi
+
# This is repackaging of a binary plugin - no SLKCFLAGS required,
# nor does anything need to be compiled
mkdir -p $PKG/usr/lib/mozilla/plugins
install -m 0755 libflashplayer.so $PKG/usr/lib/mozilla/plugins
-install -m 0644 flashplayer.xpt $PKG/usr/lib/mozilla/plugins
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-install -m 0644 Readme.txt $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/multimedia/flash-player-plugin/flash-player-plugin.info b/multimedia/flash-player-plugin/flash-player-plugin.info
index 869df71fae..6e22dc3540 100644
--- a/multimedia/flash-player-plugin/flash-player-plugin.info
+++ b/multimedia/flash-player-plugin/flash-player-plugin.info
@@ -1,8 +1,8 @@
PRGNAM="flash-player-plugin"
-VERSION="9.0.31.0"
+VERSION="9.0_r124"
HOMEPAGE="http://www.adobe.com/"
DOWNLOAD="http://fpdownload.macromedia.com/get/flashplayer/current/install_flash_player_9_linux.tar.gz"
-MD5SUM="76b38231a68995935185aa42dfda9db7"
-MAINTAINER="hollywoodb"
-EMAIL="hollywoodb@fastmail.fm"
-APPROVED="robw810,BP{k}"
+MD5SUM="a311fd97aa6c214f63dc089a20cf7a39"
+MAINTAINER="Robby Workman"
+EMAIL="rw@rlworkman.net"
+APPROVED="David Somero"
diff --git a/multimedia/flash-player-plugin/slack-desc b/multimedia/flash-player-plugin/slack-desc
index fd9092dafe..a22eb33535 100644
--- a/multimedia/flash-player-plugin/slack-desc
+++ b/multimedia/flash-player-plugin/slack-desc
@@ -1,10 +1,18 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------|
flash-player-plugin: flash-player-plugin (flash plugin for web browsers)
flash-player-plugin:
flash-player-plugin: Provides Adobe Flash plugin for browsers that recognize
flash-player-plugin: /usr/lib/mozilla/plugins as a valid plugin directory
flash-player-plugin:
flash-player-plugin: Plugin is subject to Adobe terms of use:
-flash-player-plugin: http://www.adobe.com/go/labs_term_of_use
+flash-player-plugin: http://www.adobe.com/go/labs_term_of_use
flash-player-plugin: Plugin is subject to Adobe Flash EULA:
-flash-player-plugin: http://labs.adobe.com/technologies/eula/flashplayer.html
+flash-player-plugin: http://labs.adobe.com/technologies/eula/flashplayer.html
flash-player-plugin: